Kerbal Space Program - Bug #19375

closing space center flag pole gui with esc dosn't allow clicking of buildings or exit button
07/07/2018 06:08 AM - hpf3

Status: Closed Start date: 07/07/2018
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version: 1.5.0

Version: 1.4.4 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

What happens: closing space center flag pole with esc dosent trigger code to re-allow clicking of buildings(and their buttons
appearing) in adition to the back button staying grayed out.

How to reproduce:

start or open a save of any type.

open flag selection gui from flagpole.

hit esc.

window will close but not trigger what allows interaction with blocked actions.

Notes:
tested in a fresh steam install with dic installed.
tested in both career and sandbox plus an existing game.

My suspicion and comment:

my best guess of what is happening is that the function is only linked to the done and cancel buttons.

might be fixed by: changing this to a window closed event(if you have those), adding the esc press event to trigger it while window is
open, or just disabling esc from closing the window.

i have no idea which is the easiest option as i don't know what framework has been setup but sounds like it shouldn't be too hard to
patch:)

History

#1 - 10/15/2018 05:44 PM - joshua.collins
- Status changed from New to Ready to Test
- Target version set to 1.5.0

- % Done changed from 0 to 80

#2 - 01/24/2019 07:13 PM - Nebbie
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Working in 1.6.1.

#3 - 03/28/2019 03:30 AM - joshua.collins

- Status changed from Resolved to Closed

04/18/2024 1/1



http://www.tcpdf.org

